Bug 500861 - lvs man page should include seg_pe_ranges option
lvs man page should include seg_pe_ranges option
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.8
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Wysochanski
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 11:18 EDT by Steven J. Levine
Modified: 2011-02-16 08:56 EST (History)
10 users (show)

See Also:
Fixed In Version: lvm2-2.02.42-8.el4
Doc Type: Bug Fix
Doc Text:
The manual page for the lvs utility has been corrected to provide more detailed information about supported arguments of the "-o" command line option.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 08:56:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven J. Levine 2009-05-14 11:18:11 EDT
Description of problem:
In correspondence with Eduardo Damato about documenting cluster mirror configuration, I learned of the seg_pe_ranges option. I'm not sure what releases support this option, but it doesn't seem to be in the man page for the RHEL 4.8 release or the RHEL 5.4 release.

I may be missing something either in the documentation or the support issues here, but I'm bringing this up because this seems an extremely useful display option and if it's not documented in the man page I think it should be.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Wysochanski 2009-06-15 12:05:35 EDT
The lvs man page states to get all fields you must issue "-o help".  Not all fields are listed in the man page but they are listed (with descriptions) in the help output.  For example:
    seg_pe_ranges        - Ranges of Physical Extents of underlying devices in command line format.


At some point we may autogenerate man pages with the same info as in the help but would be a more extensive change than just a single field.

As a simple change, we could remove the field list and point people at "-o help" for the field names.

       -o, --options
              Comma-separated  ordered list of columns.  Precede the list with
              ’+’ to append to the default selection  of  columns  instead  of
              replacing  it.   Column  names  are:  lv_uuid, lv_name, lv_attr,
              lv_major, lv_minor, lv_kernel_major,  lv_kernel_minor,  lv_size,
              seg_count, origin, snap_percent, copy_percent, move_pv, lv_tags,
              origin_size, segtype, stripes, stripesize, chunksize, seg_start,
              seg_size, seg_tags, devices, regionsize, mirror_log, modules.

              With --segments, any "seg_" prefixes are optional; otherwise any
              "lv_" prefixes are optional.  Columns mentioned in vgs  (8)  can
              also  be  chosen.   Use  -o help to view the full list of fields
              available.
Comment 2 Dave Wysochanski 2009-06-15 13:11:52 EDT
Fix has been submitted to upstream CVS.  Man page is now somewhat clearer and I checked all fields for pvs, vgs, and lvs.  Sample output for lvs "-o" section is:
           -o, --options
                  Comma-separated ordered list of columns.  Precede the list  with  ’+’  to  append  to  the
                  default selection of columns instead of replacing it.
    
                  Use  -o  lv_all to select all logical volume columns, and -o seg_all to select all logical
                  segment columns.
    
                  Use -o help to view the full list of columns available.
    
                  Column names  include:  lv_uuid,  lv_name,  lv_attr,  lv_major,  lv_minor,  lv_read_ahead,
                  lv_kernel_major,  lv_kernel_minor,  lv_kernel_read_ahead, lv_size, seg_count, origin, ori-
                  gin_size, snap_percent, copy_percent, move_pv, convert_lv, lv_tags,  mirror_log,  modules,
                  segtype,  stripes,  stripesize,  regionsize, chunksize, seg_start, seg_start_pe, seg_size,
                  seg_tags, seg_pe_ranges, devices.
    
                  With --segments, any "seg_" prefixes  are  optional;  otherwise  any  "lv_"  prefixes  are
                  optional.  Columns mentioned in vgs (8) can also be chosen.
    
                  The lv_attr bits are:
Comment 4 Milan Broz 2010-10-21 13:16:09 EDT
Fixed in lvm2-2.02.42-8.el4.
Comment 6 Corey Marthaler 2011-01-12 17:54:34 EST
Fix verified in lvm2-2.02.42-9.el4.
Comment 7 Jaromir Hradilek 2011-01-20 07:49:00 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The manual page for the lvs utility has been corrected to provide more detailed information about supported arguments of the "-o" command line option.
Comment 8 errata-xmlrpc 2011-02-16 08:56:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0236.html

Note You need to log in before you can comment on or make changes to this bug.